callBackUrl parameter so your service can receive completion notifications instead of polling for task status.duration. You do not need to stitch clips yourselftaskId. If the resulting video is still 15 seconds or shorter, you can use that ID to extend againcurl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "google/gemini-omni-flash-1-2-extend",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"task_id": "task_xxxxxxxx",
"prompt": "The scene continues: the robot turns to the camera and waves, the camera slowly pulls back.",
"duration": 5,
"image_urls": [
"https://example.com/stage-reference.png"
]
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "task_abc123"
}
}